#!/usr/bin/env python3

from pypol import *

x, y = symbols('x y')
diam = Ge(y, x - 1) & Le(y, x + 1) & Ge(y, -x - 1) & Le(y, -x + 1)
print('diamond:', diam)
print('projected on x:', diam.project_out([y]))
